/*
*  Rubrica
*  file: search.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include "rubrica.h"

#ifndef __RUBRICA_SEARCH__
#define __RUBRICA_SEARCH__

typedef enum {
  CARD = 0,
  NAME,
  SURNAME,
  STATE,
  CITY,
  PROF,
  WEB,
  MAIL,
  TEL
} WhereSearch;


void rubrica_search_where_set(WhereSearch where);
void rubrica_search_sensitive_set(gboolean flag);
void rubrica_search_init(void);
void rubrica_search_item(void);
void rubrica_search_insert_item(GtkWidget *result_clist, gchar *card, gchar *str);
gboolean rubrica_match(gchar *str);
void rubrica_search_view_item(gint i);
#endif
